Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Interface DocumentEventSupport.EventFactory

All Known Implementing Classes:
  DocumentEventSupport.KeyEventFactory, DocumentEventSupport.MouseEventFactory, DocumentEventSupport.MutationEventFactory, DocumentEventSupport.SimpleEventFactory, DocumentEventSupport.UIEventFactory

Enclosing interface:
  DocumentEventSupport

public static interface DocumentEventSupport.EventFactory

This interface represents an event factory.

Method Summary
`org.w3c.dom.events.Event` | `createEvent()` Creates a new Event object.

Method Detail

### createEvent

    public org.w3c.dom.events.Event createEvent()

  Creates a new Event object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.